std::experimental::fundamentals_v1::bad_optional_access Class Reference
Technical Specifications » Library Fundamentals TS » Optional values | Diagnostics » Exceptions

`#include <optional>`

Inheritance diagram for std::experimental::fundamentals_v1::bad_optional_access:
[legend]

## Public Member Functions

| bad_optional_access (const char *__arg)
virtual const char * | what () const noexcept

## Detailed Description

Exception class thrown when a disengaged optional object is dereferenced.

Definition at line 106 of file experimental/optional.

## Constructor & Destructor Documentation

## bad_optional_access() [1/2]

std::experimental::fundamentals_v1::bad_optional_access::bad_optional_access | ( |  | ) |

inline

Definition at line 109 of file experimental/optional.

## bad_optional_access() [2/2]

std::experimental::fundamentals_v1::bad_optional_access::bad_optional_access | ( | const char * | __arg | ) |

inline explicit

Definition at line 112 of file experimental/optional.

## Member Function Documentation

## what()

virtual const char * std::logic_error::what | ( |  | ) | const

virtual noexcept inherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

The documentation for this class was generated from the following file:

- experimental/optional